<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */


class DBWorkHLAbteilung extends DBWorkGenerated
{
  public function __construct($pDBTyp = 1, $pNewInstance = false)
  {
    parent::__construct($pDBTyp, $pNewInstance);
    $this->_dataModulFields = array('id', 'name');
    $this->select = implode(', ', $this->_dataModulFields);
  }

  
  public function getNewObject()
  {
    return new Abteilung();
  }

  public function getTableName(): string
  {
    return 'hlabteilung';
  }

  
  public function getCurrentRow($pRefreshCache = false)
  {
    $tmp = $this->getNewObject();
    $tmp->id = $this->getDatamodulValue('id');
    $tmp->name = $this->getDatamodulValue('name');

    return $tmp;
  }
}